%global module linecache2

Name:           python-%{module}
Version:        1.0.0
Release:        %mkrel 2
Summary:        Backports of the linecache module

Group:          Development/Python
License:        Python Software Foundation License
URL:            https://pypi.python.org/pypi/linecache2
Source0:        %{module}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  python3-setuptools

%description
A backport of linecache to older supported Pythons.

%package -n     python3-%{module}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
A backport of linecache to older supported Pythons.

%prep
%setup -qn %{module}-%{version}

# drop bundled egg-info
rm -rf *.egg-info/

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}

%files -n python3-%{module}
%doc AUTHORS ChangeLog README.rst
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Feb 27 2022 TerryN <terryn94 at gmail.com> 1.0.0-2pclos2022
- rebuild for python 3.10

* Sun Apr 15 2018 marcin82 <fixxer1982 at gmail.com> 1.0.0-1pclos2018
- initial build
